import { Server } from 'socket.io'
import { TSocket } from '../utilities/types'

export default function (io: Server, socket: TSocket) {
  socket.on('login', () => {
    if (!socket.user) return
    socket.emit('logged_in', { user: socket.user })
  })
}
